--- old/usr/src/uts/i86xpv/generic_cpu/Makefile	Thu Aug  8 11:18:43 2019
+++ new/usr/src/uts/i86xpv/generic_cpu/Makefile	Thu Aug  8 11:18:43 2019
@@ -45,7 +45,7 @@
 include $(UTSBASE)/i86pc/cpu/Makefile.files
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
 #
--- old/usr/src/uts/i86xpv/gfx_private/Makefile	Thu Aug  8 11:18:44 2019
+++ new/usr/src/uts/i86xpv/gfx_private/Makefile	Thu Aug  8 11:18:44 2019
@@ -66,7 +66,7 @@
 LINTTAGS +=	-erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS +=	-erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/i86xpv/ioat/Makefile	Thu Aug  8 11:18:44 2019
+++ new/usr/src/uts/i86xpv/ioat/Makefile	Thu Aug  8 11:18:44 2019
@@ -59,7 +59,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Dependency
--- old/usr/src/uts/i86xpv/npe/Makefile	Thu Aug  8 11:18:45 2019
+++ new/usr/src/uts/i86xpv/npe/Makefile	Thu Aug  8 11:18:45 2019
@@ -74,7 +74,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86xpv/pci/Makefile	Thu Aug  8 11:18:45 2019
+++ new/usr/src/uts/i86xpv/pci/Makefile	Thu Aug  8 11:18:45 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86xpv/privcmd/Makefile	Thu Aug  8 11:18:46 2019
+++ new/usr/src/uts/i86xpv/privcmd/Makefile	Thu Aug  8 11:18:46 2019
@@ -58,7 +58,7 @@
 
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86xpv/rootnex/Makefile	Thu Aug  8 11:18:46 2019
+++ new/usr/src/uts/i86xpv/rootnex/Makefile	Thu Aug  8 11:18:46 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/i86xpv/unix/Makefile	Thu Aug  8 11:18:46 2019
+++ new/usr/src/uts/i86xpv/unix/Makefile	Thu Aug  8 11:18:46 2019
@@ -140,7 +140,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/uts/i86xpv/xdt/Makefile	Thu Aug  8 11:18:47 2019
+++ new/usr/src/uts/i86xpv/xdt/Makefile	Thu Aug  8 11:18:47 2019
@@ -40,7 +40,7 @@
 
 LDFLAGS		+= -dy -Ndrv/dtrace
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/i86xpv/xnb/Makefile	Thu Aug  8 11:18:48 2019
+++ new/usr/src/uts/i86xpv/xnb/Makefile	Thu Aug  8 11:18:48 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += signed
--- old/usr/src/uts/i86xpv/xpv_psm/Makefile	Thu Aug  8 11:18:48 2019
+++ new/usr/src/uts/i86xpv/xpv_psm/Makefile	Thu Aug  8 11:18:48 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-function
 
--- old/usr/src/uts/i86xpv/xpvd/Makefile	Thu Aug  8 11:18:49 2019
+++ new/usr/src/uts/i86xpv/xpvd/Makefile	Thu Aug  8 11:18:49 2019
@@ -58,7 +58,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/i86xpv/xsvc/Makefile	Thu Aug  8 11:18:49 2019
+++ new/usr/src/uts/i86xpv/xsvc/Makefile	Thu Aug  8 11:18:49 2019
@@ -66,7 +66,7 @@
 MODSTUBS_DIR	 = $(OBJS_DIR)
 CLEANFILES	+= $(MODSTUBS_O)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/FSS/Makefile	Thu Aug  8 11:18:49 2019
+++ new/usr/src/uts/intel/FSS/Makefile	Thu Aug  8 11:18:49 2019
@@ -63,7 +63,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/fss.o := SMOFF += deref_check
--- old/usr/src/uts/intel/aac/Makefile	Thu Aug  8 11:18:50 2019
+++ new/usr/src/uts/intel/aac/Makefile	Thu Aug  8 11:18:50 2019
@@ -66,7 +66,7 @@
 # 	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/intel/acpica/Makefile	Thu Aug  8 11:18:51 2019
+++ new/usr/src/uts/intel/acpica/Makefile	Thu Aug  8 11:18:51 2019
@@ -63,7 +63,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 #
--- old/usr/src/uts/intel/aggr/Makefile	Thu Aug  8 11:18:51 2019
+++ new/usr/src/uts/intel/aggr/Makefile	Thu Aug  8 11:18:51 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/ahci/Makefile	Thu Aug  8 11:18:52 2019
+++ new/usr/src/uts/intel/ahci/Makefile	Thu Aug  8 11:18:52 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #
--- old/usr/src/uts/intel/arcmsr/Makefile	Thu Aug  8 11:18:52 2019
+++ new/usr/src/uts/intel/arcmsr/Makefile	Thu Aug  8 11:18:52 2019
@@ -45,7 +45,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/arcmsr.o := SMOFF += deref_check
--- old/usr/src/uts/intel/arn/Makefile	Thu Aug  8 11:18:52 2019
+++ new/usr/src/uts/intel/arn/Makefile	Thu Aug  8 11:18:52 2019
@@ -63,7 +63,7 @@
 LINTTAGS        += -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
 # various issues
--- old/usr/src/uts/intel/asy/Makefile	Thu Aug  8 11:18:53 2019
+++ new/usr/src/uts/intel/asy/Makefile	Thu Aug  8 11:18:53 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/intel/ata/Makefile	Thu Aug  8 11:18:53 2019
+++ new/usr/src/uts/intel/ata/Makefile	Thu Aug  8 11:18:54 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Depends on scsi
--- old/usr/src/uts/intel/atge/Makefile	Thu Aug  8 11:18:54 2019
+++ new/usr/src/uts/intel/atge/Makefile	Thu Aug  8 11:18:54 2019
@@ -56,7 +56,7 @@
 #	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 #
--- old/usr/src/uts/intel/audio/Makefile	Thu Aug  8 11:18:55 2019
+++ new/usr/src/uts/intel/audio/Makefile	Thu Aug  8 11:18:55 2019
@@ -45,7 +45,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/audio_grc3.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/audiocmi/Makefile	Thu Aug  8 11:18:55 2019
+++ new/usr/src/uts/intel/audiocmi/Makefile	Thu Aug  8 11:18:55 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiocmihd/Makefile	Thu Aug  8 11:18:55 2019
+++ new/usr/src/uts/intel/audiocmihd/Makefile	Thu Aug  8 11:18:55 2019
@@ -57,7 +57,7 @@
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audioemu10k/Makefile	Thu Aug  8 11:18:56 2019
+++ new/usr/src/uts/intel/audioemu10k/Makefile	Thu Aug  8 11:18:56 2019
@@ -59,7 +59,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/audioens/Makefile	Thu Aug  8 11:18:56 2019
+++ new/usr/src/uts/intel/audioens/Makefile	Thu Aug  8 11:18:56 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiohd/Makefile	Thu Aug  8 11:18:57 2019
+++ new/usr/src/uts/intel/audiohd/Makefile	Thu Aug  8 11:18:57 2019
@@ -62,7 +62,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 LDFLAGS		+= -dy -Ndrv/audio
 
--- old/usr/src/uts/intel/audiop16x/Makefile	Thu Aug  8 11:18:57 2019
+++ new/usr/src/uts/intel/audiop16x/Makefile	Thu Aug  8 11:18:57 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio -Nmisc/ac97
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiopci/Makefile	Thu Aug  8 11:18:58 2019
+++ new/usr/src/uts/intel/audiopci/Makefile	Thu Aug  8 11:18:58 2019
@@ -54,7 +54,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/audiosolo/Makefile	Thu Aug  8 11:18:58 2019
+++ new/usr/src/uts/intel/audiosolo/Makefile	Thu Aug  8 11:18:58 2019
@@ -53,7 +53,7 @@
 
 LDFLAGS		+= -dy -Ndrv/audio
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += assign_vs_compare
--- old/usr/src/uts/intel/autofs/Makefile	Thu Aug  8 11:18:58 2019
+++ new/usr/src/uts/intel/autofs/Makefile	Thu Aug  8 11:18:58 2019
@@ -74,7 +74,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/av1394/Makefile	Thu Aug  8 11:18:59 2019
+++ new/usr/src/uts/intel/av1394/Makefile	Thu Aug  8 11:18:59 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/intel/bfe/Makefile	Thu Aug  8 11:19:00 2019
+++ new/usr/src/uts/intel/bfe/Makefile	Thu Aug  8 11:19:00 2019
@@ -69,7 +69,7 @@
 CFLAGS		+= $(CPPFLAGS)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on MAC & IP
--- old/usr/src/uts/intel/bge/Makefile	Thu Aug  8 11:19:00 2019
+++ new/usr/src/uts/intel/bge/Makefile	Thu Aug  8 11:19:00 2019
@@ -65,7 +65,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN       += -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/blowfish/Makefile	Thu Aug  8 11:19:00 2019
+++ new/usr/src/uts/intel/blowfish/Makefile	Thu Aug  8 11:19:00 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/bnxe/Makefile	Thu Aug  8 11:19:01 2019
+++ new/usr/src/uts/intel/bnxe/Makefile	Thu Aug  8 11:19:01 2019
@@ -86,7 +86,7 @@
 
 LDFLAGS		+= -dy -r -Ndrv/ip -Nmisc/mac
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-value
--- old/usr/src/uts/intel/bofi/Makefile	Thu Aug  8 11:19:01 2019
+++ new/usr/src/uts/intel/bofi/Makefile	Thu Aug  8 11:19:01 2019
@@ -69,7 +69,7 @@
 
 CPPFLAGS	+= -I../../sun4
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/bofi.o := SMOFF += signed_integer_overflow_check,deref_check
--- old/usr/src/uts/intel/bpf/Makefile	Thu Aug  8 11:19:01 2019
+++ new/usr/src/uts/intel/bpf/Makefile	Thu Aug  8 11:19:02 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/bpf.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/bridge/Makefile	Thu Aug  8 11:19:02 2019
+++ new/usr/src/uts/intel/bridge/Makefile	Thu Aug  8 11:19:02 2019
@@ -57,7 +57,7 @@
 #
 CFLAGS		+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/bscv/Makefile	Thu Aug  8 11:19:02 2019
+++ new/usr/src/uts/intel/bscv/Makefile	Thu Aug  8 11:19:03 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 #
--- old/usr/src/uts/intel/busra/Makefile	Thu Aug  8 11:19:03 2019
+++ new/usr/src/uts/intel/busra/Makefile	Thu Aug  8 11:19:03 2019
@@ -52,7 +52,7 @@
 include $(UTSBASE)/intel/Makefile.intel
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/c2audit/Makefile	Thu Aug  8 11:19:03 2019
+++ new/usr/src/uts/intel/c2audit/Makefile	Thu Aug  8 11:19:03 2019
@@ -77,7 +77,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/cardbus/Makefile	Thu Aug  8 11:19:04 2019
+++ new/usr/src/uts/intel/cardbus/Makefile	Thu Aug  8 11:19:04 2019
@@ -81,7 +81,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/cmdk/Makefile	Thu Aug  8 11:19:04 2019
+++ new/usr/src/uts/intel/cmdk/Makefile	Thu Aug  8 11:19:04 2019
@@ -67,7 +67,7 @@
 CPPFLAGS	+= -D_EXTVTOC
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 
--- old/usr/src/uts/intel/cmlb/Makefile	Thu Aug  8 11:19:05 2019
+++ new/usr/src/uts/intel/cmlb/Makefile	Thu Aug  8 11:19:05 2019
@@ -75,7 +75,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/cmlb.o := SMOFF += signed
--- old/usr/src/uts/intel/core_pcbe/Makefile	Thu Aug  8 11:19:06 2019
+++ new/usr/src/uts/intel/core_pcbe/Makefile	Thu Aug  8 11:19:06 2019
@@ -118,7 +118,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
 CPPFLAGS	+= -I$(UTSBASE)/intel/core_pcbe
--- old/usr/src/uts/intel/cryptmod/Makefile	Thu Aug  8 11:19:08 2019
+++ new/usr/src/uts/intel/cryptmod/Makefile	Thu Aug  8 11:19:08 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/crypto/Makefile	Thu Aug  8 11:19:09 2019
+++ new/usr/src/uts/intel/crypto/Makefile	Thu Aug  8 11:19:09 2019
@@ -56,7 +56,7 @@
 
 LDFLAGS		+= -dy -Nmisc/kcf
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/cryptoadm/Makefile	Thu Aug  8 11:19:11 2019
+++ new/usr/src/uts/intel/cryptoadm/Makefile	Thu Aug  8 11:19:11 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ctf/Makefile	Thu Aug  8 11:19:12 2019
+++ new/usr/src/uts/intel/ctf/Makefile	Thu Aug  8 11:19:12 2019
@@ -52,7 +52,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/intel/daplt/Makefile	Thu Aug  8 11:19:13 2019
+++ new/usr/src/uts/intel/daplt/Makefile	Thu Aug  8 11:19:13 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/daplt.o := SMOFF += all_func_returns,deref_check
--- old/usr/src/uts/intel/dcam1394/Makefile	Thu Aug  8 11:19:14 2019
+++ new/usr/src/uts/intel/dcam1394/Makefile	Thu Aug  8 11:19:14 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #	Default build targets.
 #
--- old/usr/src/uts/intel/dcfs/Makefile	Thu Aug  8 11:19:15 2019
+++ new/usr/src/uts/intel/dcfs/Makefile	Thu Aug  8 11:19:15 2019
@@ -59,7 +59,7 @@
 CFLAGS		+= $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/des/Makefile	Thu Aug  8 11:19:16 2019
+++ new/usr/src/uts/intel/des/Makefile	Thu Aug  8 11:19:16 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/dev/Makefile	Thu Aug  8 11:19:16 2019
+++ new/usr/src/uts/intel/dev/Makefile	Thu Aug  8 11:19:16 2019
@@ -70,7 +70,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/devinfo/Makefile	Thu Aug  8 11:19:17 2019
+++ new/usr/src/uts/intel/devinfo/Makefile	Thu Aug  8 11:19:17 2019
@@ -62,7 +62,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-clobbered
 
--- old/usr/src/uts/intel/dld/Makefile	Thu Aug  8 11:19:18 2019
+++ new/usr/src/uts/intel/dld/Makefile	Thu Aug  8 11:19:18 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/dls/Makefile	Thu Aug  8 11:19:19 2019
+++ new/usr/src/uts/intel/dls/Makefile	Thu Aug  8 11:19:19 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/dls_link.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/dmfe/Makefile	Thu Aug  8 11:19:19 2019
+++ new/usr/src/uts/intel/dmfe/Makefile	Thu Aug  8 11:19:20 2019
@@ -56,7 +56,7 @@
 #
 CFLAGS += $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # extra link arguments
--- old/usr/src/uts/intel/dnet/Makefile	Thu Aug  8 11:19:20 2019
+++ new/usr/src/uts/intel/dnet/Makefile	Thu Aug  8 11:19:20 2019
@@ -61,7 +61,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/dnet.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/doorfs/Makefile	Thu Aug  8 11:19:21 2019
+++ new/usr/src/uts/intel/doorfs/Makefile	Thu Aug  8 11:19:21 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/door_sys.o := SMOFF += deref_check
--- old/usr/src/uts/intel/dscpmk/Makefile	Thu Aug  8 11:19:21 2019
+++ new/usr/src/uts/intel/dscpmk/Makefile	Thu Aug  8 11:19:21 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/dtrace/Makefile	Thu Aug  8 11:19:22 2019
+++ new/usr/src/uts/intel/dtrace/Makefile	Thu Aug  8 11:19:22 2019
@@ -48,7 +48,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/dtrace.o := SMOFF += signed_integer_overflow_check,deref_check
--- old/usr/src/uts/intel/e1000g/Makefile	Thu Aug  8 11:19:22 2019
+++ new/usr/src/uts/intel/e1000g/Makefile	Thu Aug  8 11:19:22 2019
@@ -58,7 +58,7 @@
 
 CFLAGS += $(CFLAGS_CPP_COMMENTS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/intel/ecc/Makefile	Thu Aug  8 11:19:22 2019
+++ new/usr/src/uts/intel/ecc/Makefile	Thu Aug  8 11:19:22 2019
@@ -66,7 +66,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-empty-body
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/ecpp/Makefile	Thu Aug  8 11:19:23 2019
+++ new/usr/src/uts/intel/ecpp/Makefile	Thu Aug  8 11:19:23 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
--- old/usr/src/uts/intel/efe/Makefile	Thu Aug  8 11:19:23 2019
+++ new/usr/src/uts/intel/efe/Makefile	Thu Aug  8 11:19:23 2019
@@ -40,7 +40,7 @@
 CFLAGS		+= $(CCVERBOSE)
 LDFLAGS		+= -dy -N misc/mac -N misc/mii
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ehci/Makefile	Thu Aug  8 11:19:24 2019
+++ new/usr/src/uts/intel/ehci/Makefile	Thu Aug  8 11:19:24 2019
@@ -43,7 +43,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # needs work
--- old/usr/src/uts/intel/eibnx/Makefile	Thu Aug  8 11:19:25 2019
+++ new/usr/src/uts/intel/eibnx/Makefile	Thu Aug  8 11:19:25 2019
@@ -76,7 +76,7 @@
 LINTTAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/enx_ibt.o := SMOFF += deref_check
--- old/usr/src/uts/intel/elfexec/Makefile	Thu Aug  8 11:19:26 2019
+++ new/usr/src/uts/intel/elfexec/Makefile	Thu Aug  8 11:19:26 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/elxl/Makefile	Thu Aug  8 11:19:27 2019
+++ new/usr/src/uts/intel/elxl/Makefile	Thu Aug  8 11:19:27 2019
@@ -61,7 +61,7 @@
 #
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #
--- old/usr/src/uts/intel/emlxs/Makefile	Thu Aug  8 11:19:28 2019
+++ new/usr/src/uts/intel/emlxs/Makefile	Thu Aug  8 11:19:28 2019
@@ -94,7 +94,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 SMOFF += indenting,deref_check,all_func_returns
 
--- old/usr/src/uts/intel/emul64/Makefile	Thu Aug  8 11:19:28 2019
+++ new/usr/src/uts/intel/emul64/Makefile	Thu Aug  8 11:19:28 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += indenting,shift_to_zero
--- old/usr/src/uts/intel/eoib/Makefile	Thu Aug  8 11:19:29 2019
+++ new/usr/src/uts/intel/eoib/Makefile	Thu Aug  8 11:19:29 2019
@@ -65,7 +65,7 @@
 CFLAGS += $(CCVERBOSE)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/eib_ibt.o := SMOFF += deref_check
--- old/usr/src/uts/intel/fasttrap/Makefile	Thu Aug  8 11:19:30 2019
+++ new/usr/src/uts/intel/fasttrap/Makefile	Thu Aug  8 11:19:30 2019
@@ -43,7 +43,7 @@
 CPPFLAGS	+= -I$(SRC)/common
 LDFLAGS		+= -dy -Ndrv/dtrace
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/uts/intel/fcp/Makefile	Thu Aug  8 11:19:31 2019
+++ new/usr/src/uts/intel/fcp/Makefile	Thu Aug  8 11:19:31 2019
@@ -66,7 +66,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 SMATCH=off
 
--- old/usr/src/uts/intel/fcsm/Makefile	Thu Aug  8 11:19:31 2019
+++ new/usr/src/uts/intel/fcsm/Makefile	Thu Aug  8 11:19:31 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/fct/Makefile	Thu Aug  8 11:19:32 2019
+++ new/usr/src/uts/intel/fct/Makefile	Thu Aug  8 11:19:32 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += strcpy_overflow
--- old/usr/src/uts/intel/fctl/Makefile	Thu Aug  8 11:19:32 2019
+++ new/usr/src/uts/intel/fctl/Makefile	Thu Aug  8 11:19:32 2019
@@ -63,7 +63,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/fctl.o := SMOFF += all_func_returns,deref_check
--- old/usr/src/uts/intel/fd/Makefile	Thu Aug  8 11:19:33 2019
+++ new/usr/src/uts/intel/fd/Makefile	Thu Aug  8 11:19:33 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/fd.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/flowacct/Makefile	Thu Aug  8 11:19:34 2019
+++ new/usr/src/uts/intel/flowacct/Makefile	Thu Aug  8 11:19:34 2019
@@ -66,7 +66,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/fp/Makefile	Thu Aug  8 11:19:35 2019
+++ new/usr/src/uts/intel/fp/Makefile	Thu Aug  8 11:19:35 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 # needs work
--- old/usr/src/uts/intel/genunix/Makefile	Thu Aug  8 11:19:35 2019
+++ new/usr/src/uts/intel/genunix/Makefile	Thu Aug  8 11:19:35 2019
@@ -107,7 +107,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-clobbered
 CERRWARN	+= -_gcc=-Wno-empty-body
 
--- old/usr/src/uts/intel/gld/Makefile	Thu Aug  8 11:19:35 2019
+++ new/usr/src/uts/intel/gld/Makefile	Thu Aug  8 11:19:35 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/intel/hci1394/Makefile	Thu Aug  8 11:19:36 2019
+++ new/usr/src/uts/intel/hci1394/Makefile	Thu Aug  8 11:19:36 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/intel/hermon/Makefile	Thu Aug  8 11:19:36 2019
+++ new/usr/src/uts/intel/hermon/Makefile	Thu Aug  8 11:19:36 2019
@@ -71,7 +71,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/hidparser/Makefile	Thu Aug  8 11:19:37 2019
+++ new/usr/src/uts/intel/hidparser/Makefile	Thu Aug  8 11:19:37 2019
@@ -46,7 +46,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/hme/Makefile	Thu Aug  8 11:19:37 2019
+++ new/usr/src/uts/intel/hme/Makefile	Thu Aug  8 11:19:37 2019
@@ -60,7 +60,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/hme.o := SMOFF += indenting,deref_check
--- old/usr/src/uts/intel/hook/Makefile	Thu Aug  8 11:19:37 2019
+++ new/usr/src/uts/intel/hook/Makefile	Thu Aug  8 11:19:37 2019
@@ -51,7 +51,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/hook.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/hpcsvc/Makefile	Thu Aug  8 11:19:38 2019
+++ new/usr/src/uts/intel/hpcsvc/Makefile	Thu Aug  8 11:19:38 2019
@@ -57,7 +57,7 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/hpcsvc.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/hsfs/Makefile	Thu Aug  8 11:19:38 2019
+++ new/usr/src/uts/intel/hsfs/Makefile	Thu Aug  8 11:19:38 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
